<?php

namespace Plugilo\Plugilo\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Store\Model\ScopeInterface;

class Data extends AbstractHelper
{
    public const XML_PATH_ENABLE = 'plugilo/management';

    public const PLUGILO_PATH_WISHLIST = 'wishlist';

    public const PLUGILO_PATH_SIDEBAR = 'sidebar';

    public const PLUGILO_PATH_STICKER = 'sticker';

    private function isEnabled($plugiloPart, $storeId = null): bool
    {
        $enabled = $this->scopeConfig->getValue(
            self::XML_PATH_ENABLE . $plugiloPart,
            ScopeInterface::SCOPE_STORE,
            $storeId
        );

        return !$enabled ? false : true;
    }

    public function isEnabledWishlist($storeId = null): bool
    {
        return $this->isEnabled(self::PLUGILO_PATH_WISHLIST, $storeId);
    }

    public function isEnabledSidebar($storeId = null): bool
    {
        return $this->isEnabled(self::PLUGILO_PATH_SIDEBAR, $storeId);
    }

    public function isEnabledSticker($storeId = null): bool
    {
        return $this->isEnabled(self::PLUGILO_PATH_STICKER, $storeId);
    }
}
